com.sun.javadoc

## Interface AnnotationDesc.ElementValuePair

Enclosing interface:
  AnnotationDesc

    public static interface AnnotationDesc.ElementValuePair

Represents an association between an annotation type element and one of its values.

Since:
  1.5

### Method Summary

All Methods Instance Methods Abstract Methods
`AnnotationTypeElementDoc` `element()` Returns the annotation type element.
`AnnotationValue` `value()` Returns the value associated with the annotation type element.

### Method Detail

#### element

    AnnotationTypeElementDoc element()

Returns the annotation type element.

Returns:
  the annotation type element.

#### value

    AnnotationValue value()

Returns the value associated with the annotation type element.

Returns:
  the value associated with the annotation type element.